#include<stdio.h>
#include<stdlib.h>

int main ()
{
    long n,k,i;
    int x[30000];

    scanf("%d%d", &n, &k);

    for(i=1;i<=n;i++)
    {
        scanf("%d", &x[i]);
    }

    if(x[n]==k)
    {
        printf("%d", x[1]);
    }
    else
    {
        for(i=1;i<=n;i++)
        {
            if(x[i]==k)
            {
                printf("%d", x[i+1]);
                i=n+1;
            }
        }
    }

    return 0;
}